%define name bzip2
%define version 0.9.0c
%define release 1

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Extremely powerful file compression utility
Summary(fr): Utilitaire de compression de fichier extrmement puissant

Name: %{name}
Version: %{version}
Release: %{release}
Group: Utilities/Archiving
Group(fr): Utilitaires/Archivage
Copyright: BSD-like
Vendor: Julian Seward <jseward@acm.org>
Url: http://www.muraroa.demon.co.uk
Packager: ObiTuarY <obituary@freshmeat.net>
Distribution: Freshmeat RPMs
Source0: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%changelog

%description
Bzip2 compresses files using the Burrows-Wheeler
block-sorting text compression algorithm, and Huffman
coding. Compression is generally considerably better
than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM
family of statistical compressors.

%description -l fr
Bzip2 compresse des fichiers en utilisant l'algorithme
de compression en tri de blocks de texte Burrows-Wheeler,
et le codage Huffman. La compression est considrablement
meilleure que celle effectue par les plus conventionels
compresseurs bass sur LZ77/LZ78, et approche la
performance de la famille PPM de compresseurs statistiques.

%prep

%setup

%build
make CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer" CC=gcc

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,include,lib}
cp bzip2 $RPM_BUILD_ROOT/usr/bin
cp bzip2recover $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/bin
ln -sf bzip2 bunzip2
ln -sf bzip2 bzcat
cd %{builddir}
cp bzip2.1 $RPM_BUILD_ROOT/usr/man/man1
cd $RPM_BUILD_ROOT/usr/man/man1
gzip -9f *.1
ln -sf bzip2.1.gz bunzip2.1.gz
ln -sf bzip2.1.gz bzcat.1.gz
cd %{builddir}
cp libbz2.a $RPM_BUILD_ROOT/usr/lib
cp bzlib.h $RPM_BUILD_ROOT/usr/include
cat > $RPM_BUILD_ROOT/usr/bin/bzless <<EOF
#!/bin/sh
/usr/bin/bunzip2 -c "\$@" | /usr/bin/less
EOF
strip $RPM_BUILD_ROOT/usr/bin/{bzip2,bzip2recover}

%files
%doc README LICENSE CHANGES *.html
%attr(755,root,root) /usr/bin/bzip2
%attr(755,root,root) /usr/bin/bzip2recover
%attr(755,root,root) /usr/bin/bzless
%attr( - ,root,root) /usr/bin/bzcat
%attr( - ,root,root) /usr/bin/bunzip2
%attr(644,root,root) /usr/man/man1/*.1.gz
%attr(644,root,root) /usr/lib/libbz2.a
%attr(644,root,root) /usr/include/bzlib.h

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}
